unit UnitImportXYZExcel;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  TeEngine, TeeSurfa, ExtCtrls, TeeProcs, Chart;

type
  TForm1 = class(TForm)
    Chart1: TChart;
    Series1: TSurfaceSeries;
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

uses TeeExcelSource;

{$R *.DFM}

procedure TForm1.FormCreate(Sender: TObject);
var Source : TTeeExcelSource;
begin
  Source:=TTeeExcelSource.Create(Self);
  Source.FileName:=ExtractFilePath(Application.ExeName)+'testxyz.xls';
  Source.WorkSheet:='xyz';

  with Series1 do
  begin
    XValues.ValueSource:='A1:A441';
    YValues.ValueSource:='B1:B441';
    ZValues.ValueSource:='C1:C441';
    DataSource:=Source;
  end;

  Source.Open;
end;

end.
